


//#region src/modules/vc/data-integrity/libraries/nativeDocumentLoader.ts
async function getNativeDocumentLoader() {
	const loader = require("@digitalcredentials/jsonld/lib/documentLoaders/node");
	if (!loader) throw new Error("Could not load node document loader. Module did not contain a loader function");
	if (typeof loader === "function") return loader;
	if (typeof loader === "object" && typeof loader.default === "function") return loader.default;
	throw new Error("Could not load node document loader. Module did not contain a loader function.");
}

//#endregion
exports.getNativeDocumentLoader = getNativeDocumentLoader;